> For the complete documentation index, see [llms.txt](https://docs.platform9.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform9.com/api-docs/block-storage-service/services.md).

# Services

Service management

## List services

> Lists all services

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"services","description":"Service management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"Services":{"type":"object","properties":{"services":{"type":"array","items":{"$ref":"#/components/schemas/Service"}}}},"Service":{"type":"object","properties":{"binary":{"description":"The service binary name","type":"string"},"host":{"description":"The host name","type":"string"},"zone":{"description":"The availability zone","type":"string"},"status":{"description":"The service status","type":"string"},"state":{"description":"The service state","type":"string"},"updated_at":{"nullable":true,"format":"date-time","description":"The date and time when the resource was updated","type":"string"},"disabled_reason":{"nullable":true,"description":"Reason for disabling service","type":"string"},"cluster":{"nullable":true,"description":"The cluster name","type":"string"},"frozen":{"description":"Whether the service is frozen","type":"boolean"},"replication_status":{"nullable":true,"description":"Replication status","type":"string"},"active_backend_id":{"nullable":true,"description":"Active backend ID","type":"string"}}}}},"paths":{"/v3/os-services":{"get":{"tags":["services"],"parameters":[{"name":"host","description":"Filter by host name","schema":{"type":"string"},"in":"query"},{"name":"binary","description":"Filter by binary","schema":{"type":"string"},"in":"query"},{"name":"cluster","description":"Filter by cluster name","schema":{"type":"string"},"in":"query"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Services"}}},"description":"OK"}},"summary":"List services","description":"Lists all services"}}}}
```

## Update service

> Updates a service

```json
{"openapi":"3.0.3","info":{"title":"OpenStack Block Storage API (Cinder)","version":"3.71"},"tags":[{"name":"services","description":"Service management"}],"servers":[{"url":"https://{host}/cinder","description":"PCD Block Storage API v3","variables":{"host":{"default":"example.platform9.com","description":"The PCD controlplane hostname"}}}],"security":[{"pcdAuth":[]}],"components":{"securitySchemes":{"pcdAuth":{"name":"X-Auth-Token","type":"apiKey","in":"header","description":"PCD Identity Service token authentication"}},"schemas":{"ServiceUpdateRequest":{"type":"object","properties":{"body":{"type":"object","properties":{"disabled":{"description":"Whether to disable the service","type":"boolean"},"disabled_reason":{"description":"Reason for disabling","type":"string"}}}}},"ServiceResponse":{"type":"object","properties":{"service":{"$ref":"#/components/schemas/Service"}}},"Service":{"type":"object","properties":{"binary":{"description":"The service binary name","type":"string"},"host":{"description":"The host name","type":"string"},"zone":{"description":"The availability zone","type":"string"},"status":{"description":"The service status","type":"string"},"state":{"description":"The service state","type":"string"},"updated_at":{"nullable":true,"format":"date-time","description":"The date and time when the resource was updated","type":"string"},"disabled_reason":{"nullable":true,"description":"Reason for disabling service","type":"string"},"cluster":{"nullable":true,"description":"The cluster name","type":"string"},"frozen":{"description":"Whether the service is frozen","type":"boolean"},"replication_status":{"nullable":true,"description":"Replication status","type":"string"},"active_backend_id":{"nullable":true,"description":"Active backend ID","type":"string"}}}}},"paths":{"/v3/os-services":{"put":{"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceUpdateRequest"}}},"required":true},"tags":["services"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponse"}}},"description":"OK"}},"summary":"Update service","description":"Updates a service"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform9.com/api-docs/block-storage-service/services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
